// Komandy, který pošlou jenom celArgs a random hovno
import { ChannelType, Message } from "discord.js";
import { emouty } from "../utils/emotes";
import { Modul } from "../utils/types";

const delAndReturn = (mes: Message, co: string) => {
  if (mes.channel.type != ChannelType.DM) mes.delete();
  return co;
};

const exp: Modul = {
  more_komandy: {

    rekni: (mes, co) => {
      if (mes.author.bot) return "ne";
      return delAndReturn(mes, co || `co mam jako rict ${mes.author}`);
    },

    clap: (mes, text) => {
      return delAndReturn(mes, `${text} ${emouty.clap}`);
    },

    clap2: (mes, text) => {
      return delAndReturn(mes, `${emouty.clap2} ${text}`);
    },

    voliz: (mes, co) => {
      return delAndReturn(mes, `${emouty.lickL}${co}${emouty.lickR}`);
    },

    pozdrav: (_, koho) => `zdravim ${koho}`,

    zhejti: (_, koho) => `${koho} je pycovina zasrana vimrdana`,

    uraz: (_, koho) => `${koho} , u suck`
  }
};

module.exports = exp;
